Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 202170 - AssertionError: Invalid start:-1
AssertionError: Invalid start:-1
Status: RESOLVED FIXED
Product: web
Classification: Unclassified
Component: CSS Visual Tools
7.0
All All
: P3 (vote)
: 7.1
Assigned To: Marek Fukala
issues@javaee
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-15 09:47 UTC by PaulBrewster
Modified: 2011-09-29 14:08 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (4.95 KB, text/plain)
2011-09-15 09:47 UTC, PaulBrewster
Details
stacktrace (4.95 KB, text/plain)
2011-09-19 06:41 UTC, medeag
Details
stacktrace (4.93 KB, text/plain)
2011-09-23 13:22 UTC, muellermi
Details
stacktrace (4.93 KB, text/plain)
2011-09-23 13:25 UTC, muellermi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description PaulBrewster 2011-09-15 09:47:40 UTC
Build: NetBeans IDE Dev (Build 201109070600)
VM: Java HotSpot(TM) Client VM, 20.1-b02, Java(TM) SE Runtime Environment, 1.6.0_26-b03
OS: Windows XP

User Comments:
gilbertoca: I'm in one html (/src/main/resources) and double click in one css(/src/main/webapp/css) tag

gilbertoca: I'm one html file and double click in an css tag

PaulBrewster: clicked on CSS\Ids\#form in the Navigator window to see what it was.

GUEST: click to item in Navigator - CSS > Ids ->#page




Stacktrace: 
java.lang.AssertionError: Invalid start:-1
   at org.netbeans.modules.csl.api.OffsetRange.<init>(OffsetRange.java:65)
   at org.netbeans.modules.css.editor.csl.CssNodeElement.getOffsetRange(CssNodeElement.java:91)
   at org.netbeans.modules.csl.api.UiUtils$3.run(UiUtils.java:324)
   at org.netbeans.modules.csl.api.UiUtils$3.run(UiUtils.java:333)
   at org.netbeans.modules.csl.api.UiUtils$3.run(UiUtils.java:333)
   at org.netbeans.modules.parsing.impl.TaskProcessor.callUserTask(TaskProcessor.java:649)
Comment 1 PaulBrewster 2011-09-15 09:47:44 UTC
Created attachment 110780 [details]
stacktrace
Comment 2 medeag 2011-09-19 06:41:11 UTC
Created attachment 110853 [details]
stacktrace

clicked on the css class name in the Navigator
Comment 3 muellermi 2011-09-23 13:22:21 UTC
Created attachment 111098 [details]
stacktrace

while JSF page open in editor, click on css class within Navigator
Comment 4 muellermi 2011-09-23 13:25:22 UTC
Created attachment 111099 [details]
stacktrace

while JSF page open in editor, click on css id within Navigator
Comment 5 Marek Fukala 2011-09-28 14:18:31 UTC
fixed in web-main#9de5f868a788
Comment 6 Quality Engineering 2011-09-29 14:08:54 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/9de5f868a788
User: Marek Fukala <mfukala@netbeans.org>
Log: #202170 - AssertionError: Invalid start:-1


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo